javax.ejb

## Enum ConcurrencyManagementType

- java.lang.Object
- - java.lang.Enum<ConcurrencyManagementType>
  - - javax.ejb.ConcurrencyManagementType

- All Implemented Interfaces:
    Serializable, Comparable<ConcurrencyManagementType>

      public enum ConcurrencyManagementType
      extends Enum<ConcurrencyManagementType>

  Used to specify the value of the `ConcurrencyManagement` annotation for a singleton session bean.
  Since:
    EJB 3.1
  See Also:
    `ConcurrencyManagement`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BEAN` Bean developer is responsible for managing concurrent access to the bean instance.
    `CONTAINER` Container is responsible for managing concurrent access to the bean instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConcurrencyManagementType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConcurrencyManagementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CONTAINER

          public static final ConcurrencyManagementType CONTAINER

      Container is responsible for managing concurrent access to the bean instance.

    - #### BEAN

          public static final ConcurrencyManagementType BEAN

      Bean developer is responsible for managing concurrent access to the bean instance.

  - ### Method Detail

    - #### values

          public static ConcurrencyManagementType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConcurrencyManagementType c : ConcurrencyManagementType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConcurrencyManagementType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.